<?php  // vim:set et ts=4 sw=4 sts=4:
# Copyright (C) 2003-2014 hipplay Inc.
#
# This is UNPUBLISHED PROPRIETARY SOURCE CODE OF hipplay Inc.
# The copyright notice above does not evidence any actual or intended
# publication of such source code. The contents of this file may not
# be disclosed to third parties, copied or duplicated in any form, in
# whole or in part, without the prior written permission of
# hipplay Inc.
#
namespace HipPlayConnect\REST\services\kwiltReady;


use HipPlayConnect\REST\AxAbstractRESTService;
use HipPlayConnect\REST\AxRESTServiceInterface;

class AxKwiltReadyRESTService extends AxAbstractRESTService implements AxRESTServiceInterface
{
    protected $requiresAuthenticatedHipServUser = FALSE;
    protected $serviceName = 'kwiltReady';
    protected $resourcesClassNamePrefix = 'KwiltReady';

    public function getResource( array $URIArray )
    {        
        switch (count($URIArray)) {
            case 0:
                $resourceClassName = $this->getResourceClassName( '' );
                if (!class_exists($resourceClassName)) {
                    error_log("could not find kwiltReady resource");
                    return NULL;
                }
                return new $resourceClassName();

            case 1:
                $resourceClassName = $this->getResourceClassName( $URIArray[0] );
                if (!class_exists($resourceClassName)) {
                    error_log("could not find kwiltReady resource");
                    return NULL;
                }
                return new $resourceClassName();

            default:
                error_log("Could not find kwiltReady resource for uri: " . implode('/', $URIArray));
                return NULL;
        }
    }
}
